KMacroCommand Class Reference

`#include <kcommand.h>`

Inheritance diagram for KMacroCommand:

## Public Member Functions

| KMacroCommand (const QString &name)
void | addCommand (KCommand *command)
virtual void | execute ()
virtual void | unexecute ()
Public Member Functions inherited from KNamedCommand
virtual QString | name () const
void | setName (const QString &name)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KNamedCommand
| KNamedCommand (const QString &name)
Protected Member Functions inherited from KCommand
| KCommand ()

## Protected Attributes

QPtrList< KCommand > | m_commands

## Detailed Description

A Macro Command is a command that holds several sub-commands.

It will appear as one to the user and in the command history, but it can use the implementation of multiple commands internally.

Definition at line 110 of file kcommand.h.

## Constructor & Destructor Documentation

KMacroCommand::KMacroCommand | ( | const QString & | name | ) |

Creates a macro command.

You will then need to call addCommand for each subcommand to be added to this macro command.

Parameters

  name | the name of this command, translated, since it will appear in the menus.

Definition at line 33 of file kcommand.cpp.

## Member Function Documentation

void KMacroCommand::addCommand | ( | KCommand * | command | ) |

Appends a command to this macro command.

The ownership is transfered to the macro command.

Definition at line 38 of file kcommand.cpp.

void KMacroCommand::execute | ( |  | ) |

virtual

Executes this command, i.e.

execute all the sub-commands in the order in which they were added.

Implements KCommand.

Definition at line 43 of file kcommand.cpp.

void KMacroCommand::unexecute | ( |  | ) |

virtual

Undoes the execution of this command, i.e.

unexecute all the sub-commands in the reverse order to the one in which they were added.

Implements KCommand.

Definition at line 50 of file kcommand.cpp.

The documentation for this class was generated from the following files:

- kcommand.h
- kcommand.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys